Last Comment Bug 653750 - download manager is not working
: download manager is not working
Status: VERIFIED FIXED
:
Product: Toolkit
Classification: Components
Component: Download Manager (show other bugs)
: Trunk
: x86 Windows XP
: -- normal with 4 votes (vote)
: ---
Assigned To: Simon Montagu :smontagu
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-29 09:10 PDT by nika
Modified: 2013-12-27 14:24 PST (History)
11 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed


Attachments
Patch (1.12 KB, patch)
2011-07-11 03:05 PDT, Simon Montagu :smontagu
no flags Details | Diff | Review
Patch for the underlying issue (1.39 KB, patch)
2011-07-11 09:17 PDT, Simon Montagu :smontagu
VYV03354: review+
asa: approval‑mozilla‑aurora+
asa: approval‑mozilla‑beta+
Details | Diff | Review

Description nika 2011-04-29 09:10:31 PDT
User-Agent:       Mozilla/5.0 (Windows NT 5.1; rv:2.0.1) Gecko/20100101 Firefox/4.0.1
Build Identifier: Mozilla/5.0 (Windows NT 5.1; rv:2.0.1) Gecko/20100101 Firefox/4.0.1

Download manager is not working,it downloads files but not shows nothing.
Download manager window is always clear.I tried to delete downloads.sqlite but not helped .
I have got this problem  from 4.0 version FF



Reproducible: Always
Comment 1 Thomas Ahlblom 2011-04-29 15:27:08 PDT
Can you reproduce the bug in Safe Mode? 
https://support.mozilla.com/en-US/kb/Safe+Mode

...or with a new clean profile?
https://support.mozilla.com/en-US/kb/Basic%20Troubleshooting#w_8-make-a-new-profile
Comment 2 nika 2011-04-30 01:36:07 PDT
(In reply to comment #1)
> Can you reproduce the bug in Safe Mode? 
> https://support.mozilla.com/en-US/kb/Safe+Mode
> 
> ...or with a new clean profile?
> https://support.mozilla.com/en-US/kb/Basic%20Troubleshooting#w_8-make-a-new-profile

Again the same,not helped.
Comment 3 nika 2011-05-01 00:49:59 PDT
any idea?
I have forgotten to say, many people have the same problem with download manager.
Comment 4 [not reading bugmail] 2011-05-02 00:47:31 PDT
Do you have the options in the pref panel to clear all history?   Do you have AV software running as well?  Have you tried to adjust these settings?
Comment 5 nika 2011-05-02 03:46:37 PDT
(In reply to comment #4)
> Do you have the options in the pref panel to clear all history?   Do you have
> AV software running as well?  Have you tried to adjust these settings?
What options I need to have in "clear all history"?
AV running kaspersky internet security 2011.I tried without AV but download manager again still not works(it is clear,not shows nothing). Maybe this a bug. All my friends on XP have the same  problems with download manager.
Comment 6 Tyler Downer [:Tyler] 2011-05-02 05:44:55 PDT
And you really created a fresh profile and did not modify it in any way? All XP computers I have tried on work just fine.
Comment 7 nika 2011-05-02 07:39:15 PDT
(In reply to comment #6)
> And you really created a fresh profile and did not modify it in any way? All XP
> computers I have tried on work just fine.

YES,I have crated new profile.
I know  6 people on XP with download manager problem .
Comment 8 Thomas Ahlblom 2011-05-02 08:59:47 PDT
Do you still have a Clear List button and a Search field when the Download Manager window appears clear, or is the whole window blank?

Is the Clear List button still grey and disabled when you have downloaded something, or does it appear as enabled even though you cannot see an entry in the file list?
Comment 9 nika 2011-05-02 10:01:29 PDT
(In reply to comment #8)
> Do you still have a Clear List button and a Search field when the Download
> Manager window appears clear, or is the whole window blank?
> 
> Is the Clear List button still grey and disabled when you have downloaded
> something, or does it appear as enabled even though you cannot see an entry in
> the file list?
Yes,manager windows appears always clear  and the Clear list button is always grey and disabled.
Download manager feels nothing :D
Comment 10 [not reading bugmail] 2011-05-04 01:02:45 PDT
I had this problem today using the Nightly.  I see w/o hw acceleration (my ATI drivers are too old to use hw acceleration), the download manager only shows my last download, but if I resize the download manager window it shows the rest of the files on the list.  Not sure if this 100% reproduceable, but I noticed this at least once and after resize its ok.
Comment 11 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2011-05-04 04:56:38 PDT
nika, is this 100% reproducible for you?
Comment 12 nika 2011-05-04 09:33:48 PDT
(In reply to comment #11)
> nika, is this 100% reproducible for you?
Yes and not only for me.
Comment 13 EMOziko 2011-05-04 13:08:41 PDT
I confirm this bug. and not only me.
Comment 14 EMOziko 2011-05-04 13:09:38 PDT
p.s. This bug is not in Linux version of Firefox. Only in Windows. xp and 7 too.
Comment 15 [not reading bugmail] 2011-05-04 16:45:19 PDT
(In reply to comment #5)
> (In reply to comment #4)
> > Do you have the options in the pref panel to clear all history?   Do you have
> > AV software running as well?  Have you tried to adjust these settings?
> What options I need to have in "clear all history"?
> AV running kaspersky internet security 2011.I tried without AV but download
> manager again still not works(it is clear,not shows nothing). Maybe this a bug.
> All my friends on XP have the same  problems with download manager.

I missed this.. remember download history in the option->Privacy->Use Custom settings for history.  Can you confirm this is checked?
Comment 16 nika 2011-05-05 01:38:35 PDT
> I missed this.. remember download history in the option->Privacy->Use Custom
> settings for history.  Can you confirm this is checked?

Yes, "remember download history"  is checked.
Comment 17 Dima 2011-05-05 05:25:22 PDT
downloads window shows download progress only if it's open at the start of downloading and it shows only progress bars during download, no information about file or estimated time before download process ends. If i close that window and reopen it again it appears blank, no information about downloads is stored.
Comment 18 nika 2011-05-07 23:17:04 PDT
any solution?
Comment 19 [not reading bugmail] 2011-05-08 13:26:46 PDT
what happens when you resize the download manager window?
Comment 20 nika 2011-05-09 00:43:33 PDT
(In reply to comment #19)
> what happens when you resize the download manager window?
absolutely nothing.
Comment 21 stokeyblokey 2011-05-09 07:02:33 PDT
(In reply to comment #20)
> (In reply to comment #19)
> > what happens when you resize the download manager window?
> absolutely nothing.

Open a new tab and type in the address bar about:config - this will open up a window where you have to click OK to continue (you get a warning about dragons or something, just click OK).

Now you will have a long page of values - look for the one that says browser.download.manager.retention and see if yours is set to 0 rather than 1 - if it is, right click and choose Modify and change the value to 1.

That fixed it for me! :)
Comment 22 nika 2011-05-09 12:21:46 PDT
(In reply to comment #21)
> (In reply to comment #20)
> > (In reply to comment #19)
> > > what happens when you resize the download manager window?
> > absolutely nothing.
> 
> Open a new tab and type in the address bar about:config - this will open up
> a window where you have to click OK to continue (you get a warning about
> dragons or something, just click OK).
> 
> Now you will have a long page of values - look for the one that says
> browser.download.manager.retention and see if yours is set to 0 rather than
> 1 - if it is, right click and choose Modify and change the value to 1.
> 
> That fixed it for me! :)
it was set to 2. I have changed it to 1 but again nothing happened .
Comment 23 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2011-05-09 22:23:02 PDT
This sounds like a download manager bug, not a graphics bug.
Comment 24 nika 2011-05-14 05:20:42 PDT
?
Comment 25 EMOziko 2011-05-31 06:48:03 PDT
What about this bug?
Comment 26 nika 2011-06-23 13:51:13 PDT
today updated on 5.0 but again the same problem
what the **** guys ? why not fix this **** bug?
we are suffering !
Comment 27 david 2011-06-23 13:54:05 PDT
download manager is not working fix this problem please!!!!!
Comment 28 EMOziko 2011-06-24 08:14:31 PDT
Someone please tell us how to debug this problem and provide necessary information for Mozilla developers.
Comment 29 Asa Dotzler [:asa] 2011-06-24 16:13:58 PDT
It's very likely that you all have an add-on which is breaking Firefox's download manager. Even disabled add-ons can flip and never restore prefs that could break Firefox's download manager. If you can reproduce with all of your add-ons disabled, please test in a clean profile and if it works in a clean profile but not with all add-ons disabled, then list your add-ons here. Thanks.
Comment 30 nika 2011-06-25 12:26:59 PDT
(In reply to comment #29)
> It's very likely that you all have an add-on which is breaking Firefox's
> download manager. Even disabled add-ons can flip and never restore prefs
> that could break Firefox's download manager. If you can reproduce with all
> of your add-ons disabled, please test in a clean profile and if it works in
> a clean profile but not with all add-ons disabled, then list your add-ons
> here. Thanks.

I have already tried with clean profile and add-ons disable mode (look Comment 1 and Comment 2)
anyway 
my add-on list  :
http://img834.imageshack.us/img834/3964/troubleshootinginformat.png
Comment 31 nika 2011-07-10 13:40:39 PDT
Hi guys, finally I found cause of this problem.
Download manger problem have  only  Georgian users.
Seems like Download manager have problem with Georgian time standards and format
options.(Georgian unicode)
If we change windows/linux  regional options from Georgian in any other,download manager will work !
Comment 32 Asa Dotzler [:asa] 2011-07-10 13:46:37 PDT
axel, can you help find the right owner for this?
Comment 33 Axel Hecht [:Pike] 2011-07-10 13:55:29 PDT
This doesn't seem to be related to a Georgian version of Firefox, as we're not shipping that for 4.0+.

I'd suggest to start with an empty profile and a clean install, and please provide detailed download links.
Comment 34 nika 2011-07-10 14:12:56 PDT
No,no I'm not talking about Georgian version of firefox.
Axel,I tried with clean install and new profile and when system locale is set to Georgian download manager is empty (or shows only file name)  and when system locale is not  set to Georgian Download manager works well.
and what download links?
Comment 35 nika 2011-07-10 14:20:58 PDT
I'm talking about of this
see image below
http://www.picz.ge/img/s4/1107/11/2/2f96d72f8e87.png
Comment 36 nika 2011-07-10 14:25:05 PDT
and please tell how to help mozilla developers to fix this problem ?
Comment 37 Axel Hecht [:Pike] 2011-07-10 14:32:26 PDT
I suspect that this is an interaction between gecko code triggered by the download manager and a Georgian windows.

nika, can you open the error console, clear the messages and then open the download manager? Make sure that javascript.options.showInConsole is set to true?
Comment 38 Simon Montagu :smontagu 2011-07-10 23:51:15 PDT
I can reproduce this by setting "Georgian" in the Regional format dialog from Windows control panel, without a Georgian version of Windows.

There are no error messages in the error console when the download manager is opened. Using DOM Inspector, I can see that the listbox is not getting populated at all.
Comment 39 Shawn Wilsher :sdwilsh 2011-07-11 00:10:17 PDT
I bet there is some bad interaction with APIs that `DownloadUtils.jsm` uses and this locale.
Comment 40 nika 2011-07-11 02:18:33 PDT
Axel, first of all It is not Georgian windows, just Regional format dialog  is set to Georgian.Error console showed no errors when I opened download manager (javascript.options.showInConsole was set to true)
Simon Montagu thanks.
Comment 41 Simon Montagu :smontagu 2011-07-11 03:05:32 PDT
Created attachment 545141 [details] [diff] [review]
Patch

This patch is wallpaper over the underlying issue, which is that Number.toLocaleString() is throwing "An error occured throwing an exception". I'm investigating further.
Comment 42 Simon Montagu :smontagu 2011-07-11 09:17:42 PDT
Created attachment 545179 [details] [diff] [review]
Patch for the underlying issue

The "underlying issue" which this fixes is as follows:

When "Georgian" is selected in Regional options, 
  appLocale->GetCategory(NS_LITERAL_STRING(NSILOCALE_TIME), localeStr);
in ToUnicode in js/src/xpconnect/src/xpclocale.cpp returns "ka-GE". ka-GE has no associated Windows codepage, so platformCharset->GetDefaultCharsetForLocale fails (even thought it does return a fallback result of "windows-1252" in the charset parameter), and the function bails out.

The patch makes the windows version GetDefaultCharsetForLocale return a success code instead of a failure code when returning a fallback result, which is what the unix version already does.

FTR, the same bug occurs with any locale that doesn't have a windows codepage. Note also that Date.toLocaleString is broken even with the patch, but I would rather make that a separate bug.
Comment 43 Simon Montagu :smontagu 2011-07-11 11:03:41 PDT
Comment on attachment 545179 [details] [diff] [review]
Patch for the underlying issue

Asking approval for aurora and beta. The patch is minimal risk and without it the download manager is useless for Windows users in many locales.
Comment 45 nika 2011-07-12 01:30:45 PDT
This bug will fixed  in next update ?
Comment 46 Simon Montagu :smontagu 2011-07-12 01:41:24 PDT
Yes, if nothing goes wrong between now and then the fix will be released in Firefox 6.
Comment 47 nika 2011-07-12 01:55:24 PDT
Simon Montagu, thanks.
Comment 48 George Carstoiu 2011-07-14 04:44:28 PDT
Mozilla/5.0 (Windows NT 6.1; rv:6.0) Gecko/20100101 Firefox/6.0 beta 2
Mozilla/5.0 (Windows NT 6.1; rv:7.0a2) Gecko/20110713 Firefox/7.0a2
Mozilla/5.0 (Windows NT 6.1; rv:8.0a1) Gecko/20110713 Firefox/8.0a1

Verified issue on Win 7 on Nightly 8, Aurora 7 and Beta 6.0b2 builds using the following steps:
1. Set Regional language to Georgian (as per comment 35)
2. Open builds (Nightly, Aurora, Beta)
3. Download several files and check the status of the Download manager.

The downloaded files are always present. Tried to verify it on WinXP also, but there was no Georgian option in the Regional settings.

Setting status to Verified Fixed.
Comment 49 nika 2011-07-15 03:36:25 PDT
George Carstoiu, on winxp mark this checkbox first(you need to have winxp disk)
http://www.picz.ge/img/s1/1107/15/1/193dabc4f1c4.jpg
and then select Georgian

Note You need to log in before you can comment on or make changes to this bug.